import { WidgetVisibilityEvent } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { IWidgetVisibilityInternal } from "./widgetInternalApi.interfaces";
export declare class WidgetVisibilityApi extends WidgetApi implements IWidgetVisibilityInternal {
    private _eventListeners;
    private _isVisible;
    constructor(widgetInstance: IWidgetInstanceInternal);
    onVisible(): Promise<void>;
    onHidden(): Promise<void>;
    isVisible(): boolean;
    addEventListener(listener: (eventName: WidgetVisibilityEvent) => Promise<void>): void;
    removeEventListener(listener: (eventName: WidgetVisibilityEvent) => Promise<void>): void;
    private fireEvent;
}
